<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- This file has been generated by tj3man v3.1.0 -->
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title>supplement.resource</title>
  <meta content="text/html; charset=utf-8" http-equiv="Content-Type"/>
  <meta content="The TaskJuggler Manual" name="description"/>
  <meta content="taskjuggler, project, management" name="keywords"/>
 </head>
 <link href="css/tjmanual.css" rel="stylesheet" type="text/css"></link>
 <body>
  <div align="center">
   <h3 align="center">The TaskJuggler User Manual</h3>
   <em align="center">Project Management beyond Gantt Chart Drawing</em>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="supplement.html">supplement</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="supplement.task.html">supplement (task)</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div style="margin-left:5%; margin-right:5%">
   <p><table align="center" class="table"><tr align="left">
      <td class="tag" style="width:16%">Keyword</td>
      <td class="descr" style="width:84%; font-weight:bold">supplement (resource)</td>
     </tr></table></p>
   <p><table align="center" class="table">
     <colgroup>
      <col width="16%"></col>
      <col width="24%"></col>
      <col width="60%"></col>
     </colgroup>
     <tr align="left">
      <td class="tag">Purpose</td>
      <td class="descr" colspan="2"><div>
        <p>The supplement keyword provides a mechanism to add more attributes to already defined resources. The additional attributes must obey the same rules as in regular resource definitions and must be enclosed by curly braces.</p>
        <p>This construct is primarily meant for situations where the information about a resource is split over several files. E. g. the vacation dates for the resources may be in a separate file that was generated by some other tool.</p>
       </div></td>
     </tr>
     <tr align="left">
      <td class="tag">Syntax</td>
      <td class="descr" colspan="2"><code>supplement &lt;resource&gt; [{ &lt;attributes&gt; }]</code></td>
     </tr>
     <tr align="left">
      <td class="tag" rowspan="1">Arguments</td>
      <td class="descr">resource [<a href="The_TaskJuggler_Syntax.html#ID">ID</a>]</td>
      <td class="descr"><div>The ID of a defined resource</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Context</td>
      <td class="descr" colspan="2">
       <a href="resource.html">resource</a>, <a href="supplement.resource.html">supplement (resource)</a>
      </td>
     </tr>
    </table></p>
   <p><table align="center" class="table">
     <colgroup>
      <col width="16%"></col>
      <col width="24%"></col>
      <col width="20%"></col>
      <col width="20%"></col>
      <col width="20%"></col>
     </colgroup>
     <tr align="left">
      <td class="tag" rowspan="21">Attributes</td>
      <td class="tag">Name</td>
      <td class="tag">Scen. spec.</td>
      <td class="tag">Inh. fm. Global</td>
      <td class="tag">Inh. fm. Parent</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="booking.resource.html">booking (resource)</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="chargeset.html">chargeset</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="efficiency.html">efficiency</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="email.html">email</a></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="fail.html">fail</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="flags.resource.html">flags (resource)</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="journalentry.html">journalentry</a></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="leaveallowance.html">leaveallowance</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="leaves.html">leaves</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="limits.resource.html">limits (resource)</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="managers.html">managers</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="purge.html">purge</a></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="rate.resource.html">rate (resource)</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="resource.html">resource</a></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="shift.resource.html">shift (resource)</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="shifts.resource.html">shifts (resource)</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="supplement.resource.html">supplement (resource)</a></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="vacation.resource.html">vacation (resource)</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="warn.html">warn</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="workinghours.resource.html">workinghours (resource)</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr">x</td>
     </tr>
    </table></p>
   <div class="codeframe"><pre class="code">resource joe "Joe"
supplement resource joe {
  vacation 2000-02-10 - 2000-02-20
}
</pre></div>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="supplement.html">supplement</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="supplement.task.html">supplement (task)</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div align="center" style="font-size:10px;">Copyright (c) 2006, 2007, 2008, 2009, 2010, 2011, 2012 by Chris Schlaeger &lt;chris@linux.com&gt;.<a href="http://www.taskjuggler.org">TaskJuggler</a> is a trademark of Chris Schlaeger.</div>
 </body>
</html>
